Error de aleteo: no se pudieron resolver todos los artefactos para la configuración ‘:image_picker_android:debugUnitTestRuntimeClasspath’

4 minutos de lectura

Avatar de usuario de Abhishek Joshi
Abhishek Joshi

La aplicación en la que estoy trabajando se está depurando bien en el emulador o en los móviles, pero cuando intento compilar la aplicación, aparece el siguiente error:

Building without sound null safety
For more information see https://dart.dev/null-safety/unsound-null-safety

Running Gradle task 'assembleRelease'...                        


FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:lintVitalRelease'.
> Could not resolve all artifacts for configuration ':image_picker_android:debugUnitTestRuntimeClasspath'.
   > Failed to transform bcprov-jdk15on-1.68.jar (org.bouncycastle:bcprov-jdk15on:1.68) to match attributes {artifactType=processed-jar, org.gradle.category=library, org.gradle.libraryelements=jar, org.gradle.status=release, org.gradle.usage=java-runtime}.
      > Execution failed for JetifyTransform: /home/cicada/.gradle/caches/modules-2/files-2.1/org.bouncycastle/bcprov-jdk15on/1.68/46a080368d38b428d237a59458f9bc915222894d/bcprov-jdk15on-1.68.jar.
         > Failed to transform '/home/cicada/.gradle/caches/modules-2/files-2.1/org.bouncycastle/bcprov-jdk15on/1.68/46a080368d38b428d237a59458f9bc915222894d/bcprov-jdk15on-1.68.jar' using Jetifier. Reason: IllegalArgumentException, message: Unsupported class file major version 59. (Run with --stacktrace for more details.)
           Suggestions:
            - Check out existing issues at https://issuetracker.google.com/issues?q=componentid:460323&s=modified_time:desc, it's possible that this issue has already been filed there.
            - If this issue has not been filed, please report it at https://issuetracker.google.com/issues/new?component=460323 (run with --stacktrace and provide a stack trace if possible).

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 19s
Running Gradle task 'assembleRelease'...                           20.7s
Gradle task assembleRelease failed with exit code 1
Process finished with exit code 1

  • ¿Está utilizando la última versión del selector de imágenes?

    – Kaushik Chandru

    5 de junio a las 12:03

Bilal Saeed - Avatar de usuario del desarrollador de Flutter
Bilal Saeed – Desarrollador de Flutter

Agregué las siguientes líneas en el directorio android de nivel de aplicación build.gradle es decir, android/app/build.gradle de mi proyecto

   lintOptions {
        disable 'InvalidPackage'
        disable "Instantiatable"
        checkReleaseBuilds false
        abortOnError false
    }

Y todo empezó a funcionar bien.
Echa un vistazo a mi archivo Gradle

  • Siento que esto es evitar el problema y no resolverlo…

    – asaltante0ne

    17 de septiembre a las 7:19

Los problemas radican en image_picker_android siendo actualizado a gradle 7.1.2. Ver su registro de cambios. siguiendo un problema en GitHub tienes que actualizar tu versión de gradle así:

En android/gradle/wrapper/gradle-wrapper.properties actualice su distribuciónUrl a

distributionUrl=https\://services.gradle.org/distributions/gradle-7.2-all.zip

y en android/build.gradle cambie la versión de gradle a al menos 7.1.2

classpath 'com.android.tools.build:gradle:7.1.2

En mi caso, también tuve que actualizar mi Android Studio para una versión más nueva de Java.

  • Esta es la respuesta correcta. Vótalo. El resto son soluciones y tiritas.

    – n13

    11 de agosto a las 9:25

  • Al hacer esto, lamentablemente otros complementos no funcionaron, así que tuve que usar el método dependency_overrides en su lugar.

    – Omar Qataberi

    13 de septiembre a las 22:20

  • ese es el que trabaja conmigo

    – Saayeed M Daawoud

    5 oct a las 12:42

Déjame ayudarte un poco a encontrar el lugar correcto para pegar el código.

1: Vaya a su nivel de aplicación build.grade.
ingrese la descripción de la imagen aquí

2: Desplácese hacia abajo hasta “android{” y pegue este código con cuidado (sin molestar a ningún otro freno).

lintOptions {
            disable 'InvalidPackage'
            disable "Instantiatable"
            checkReleaseBuilds false
            abortOnError false
        }

ingrese la descripción de la imagen aquí

3: ejecute “flutter clean” 4: ejecute “flutter pub get” 5: si desea compilar apk de su proyecto, ejecute “flutter build apk”

Espero que te funcione.

La solución es actual el 06.06.2022. Agregar estas líneas en pubspec.yaml solucionó el problema:

dependency_overrides:
  image_picker_android: 0.8.4+13

Avatar de usuario de HoangAnhTran
HoangAnhTran

si está utilizando flutter 3.0 e image_picker, intente esto:

dependency_overrides:
  image_picker_android: 0.8.4+13

avatar de usuario de raider0ne
raider0ne

Este problema generalmente se debe a que el complemento de gradle está desactualizado. Si su proyecto se creó con una versión anterior de flutter, el complemento de gradle será antiguo. La solución real a este problema sería actualizar la versión del complemento Gradle.

Consulte esto tema

Puede usar Android Studio para hacer esto por usted o simplemente editar los archivos por su cuenta.

Avatar de usuario de Vishu Gupta
Vishu Gupta

si está utilizando flutter 3.3 e image_picker, intente esto:

  dependency_overrides:
  image_picker_android: 0.8.5+3

¿Ha sido útil esta solución?